Loading...
Searching...
No Matches
caf::none_t Struct Reference

Represents "nothing", e.g., for clearing an optional by assigning none. More...

`#include <none.hpp>`

Inheritance diagram for caf::none_t:

## Public Member Functions

constexpr | operator bool () const

## Static Public Member Functions

static constexpr int | compare (none_t)

## Related Symbols

(Note that these are not member symbols.)
std::string | to_string (const none_t &)

## Detailed Description

Represents "nothing", e.g., for clearing an optional by assigning none.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/none.hpp